gwibber crashed with DBusException in call_blocking()

Bug #628686 reported by Alan Pope 🍺🐧🐱 πŸ¦„ on 2010-09-02
568
This bug affects 127 people
Affects Status Importance Assigned to Milestone
Gwibber
High
Ken VanDine
gwibber (Ubuntu)
High
Ken VanDine

Bug Description

Binary package hint: gwibber

I deleted the accounts in gwibber then tried to restart gwibber, it crashed and now I can't restart it.

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: gwibber 2.31.91-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic i686
Architecture: i386
Date: Thu Sep 2 09:57:32 2010
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/gwibber
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/gwibber
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_GB.utf8
PythonArgs: ['/usr/bin/gwibber']
SourcePackage: gwibber
Title: gwibber crashed with DBusException in call_blocking()
UserGroups: adm admin cdrom dialout dip floppy fuse lpadmin plugdev sambashare video

visibility: private → public
Ara Pulido (ara) on 2010-09-03
Changed in gwibber (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check
Ken VanDine (ken-vandine) wrote :

Please attach your gwibber log file, ~/.cache/gwibber/gwibber.log

Benjamin Heil (benjamin-heil) wrote :

This is in my log every time I start Gwibber (10.10 beta):

2010-09-10 19:51:53,435 - Gwibber Dispatcher - ERROR - Loading failed: - Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 234, in run
    self.pool.map_async(self.func, self.iterable, callback = self.callback).get(timeout = 240)
  File "/usr/lib/python2.6/multiprocessing/pool.py", line 418, in get
    raise TimeoutError
TimeoutError

Victor Vargas (kamus) on 2010-09-13
Changed in gwibber (Ubuntu):
importance: Undecided → Medium
tags: added: bugpattern-needed
Changed in gwibber:
status: New → Confirmed

If i open gwibber in indicator applet, gwibber will crash. If i open gwibber after crash, it will be appear at notification area not in the indicator applet again. It will so weird and not original again.:(

Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Medium → High
milestone: none → ubuntu-10.10
Changed in gwibber:
importance: Undecided → High
assignee: nobody → Ken VanDine (ken-vandine)
milestone: none → 2.32.0
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.31.95-0ubuntu1

---------------
gwibber (2.31.95-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Don't crash if an account exists for a service that isn't available
    - Don't fail if user["url"] is None
    - Really quit when quit is selected (LP: #603598)
    - Don't block the UI on map_async, fixes dbus call_blocking()
      exceptions (LP: #628686)
 -- Ken VanDine <email address hidden> Fri, 17 Sep 2010 23:28:14 -0400

Changed in gwibber (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.